Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations.spi
Interface CommunityInviter

All Superinterfaces
  Serializable

All Known Implementing Classes:
  EmailInviter, NotificationInviter

    public interface CommunityInviter

extends Serializable

SPI interface that can be implemented to provide concrete Communities invitation facilities for a specific messaging communications method such as email, IM, notifications or any other channel that an application needs.

The overview of community functionality contains a description of the community framework.

Method Summary
`void` | `destroy()` Allows `InvitationValidationTextGenerator` implementations the opportunity to release any resources obtained during init or to perform any necessary cleanup operations.
`void` | `init(InvitationDetails details)` Allows `CommunityInviter` implementations the opportunity to perform any necessary initialization operations such as obtaining necessary resources such as database connections or loading file contents.
`void` | `sendInvitations(InviteeIterator invitees)` Sends individual invitations to the set of `Invitees` contained within the input `InviteeIterator`, according to the details for the invitation as contained in the input `InvitationDetails` argument.

Method Detail

### init

    void init(InvitationDetails details)
              throws InviteException

  Allows `CommunityInviter` implementations the opportunity to perform any necessary initialization operations such as obtaining necessary resources such as database connections or loading file contents.

  Parameters
    `details` - the specific details of the invitation
  Throws
    `InviteException`

### sendInvitations

    void sendInvitations(InviteeIterator invitees)
                         throws InviteException

  Sends individual invitations to the set of `Invitees` contained within the input `InviteeIterator`, according to the details for the invitation as contained in the input `InvitationDetails` argument.

  Parameters
    `invitees` - an iterator containing all invitees to invite
  Throws
    `InviteException`

### destroy

    void destroy()

  Allows `InvitationValidationTextGenerator` implementations the opportunity to release any resources obtained during init or to perform any necessary cleanup operations.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved